apt: edspLikeSystem Class Reference

apt 2.3.15 commandline package manager

Public Member Functions | Protected Attributes | List of all members
edspLikeSystem Class Reference
Inheritance diagram for edspLikeSystem:

## Public Member Functions
virtual bool | Lock (OpProgress *const Progress) APT_OVERRIDE APT_PURE
virtual bool | UnLock (bool NoErrors=false) APT_OVERRIDE APT_PURE
virtual pkgPackageManager * | CreatePM (pkgDepCache *Cache) const APT_OVERRIDE APT_PURE
virtual bool | Initialize (Configuration &Cnf) APT_OVERRIDE
virtual bool | ArchiveSupported (const char *Type) APT_OVERRIDE APT_PURE
virtual signed | Score (Configuration const &Cnf) APT_OVERRIDE
virtual bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const APT_OVERRIDE
bool | MultiArchSupported () const override
std::vector< std::string > | ArchitecturesSupported () const override
bool | LockInner (OpProgress *const, int) override
bool | UnLockInner (bool) override
bool | IsLocked () override
| checks if the system is currently locked More...
| edspLikeSystem (char const *const Label)
Public Member Functions inherited from pkgSystem
virtual bool | Lock (OpProgress *const Progress=nullptr)=0
virtual bool | UnLock (bool NoErrors=false)=0
virtual pkgPackageManager * | CreatePM (pkgDepCache *Cache) const =0
virtual bool | Initialize (Configuration &)
virtual bool | ArchiveSupported (const char *Type)=0
virtual bool | AddStatusFiles (std::vector< pkgIndexFile * > &List)=0
virtual bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const =0
virtual signed | Score (Configuration const &)
virtual bool | MultiArchSupported () const =0
virtual std::vector< std::string > | ArchitecturesSupported () const =0
APT_HIDDEN void | SetVersionMapping (map_id_t const in, map_id_t const out)
APT_HIDDEN map_id_t | GetVersionMapping (map_id_t const in) const
| pkgSystem (char const *const Label, pkgVersioningSystem *const VS)
virtual bool | LockInner (OpProgress *const Progress=0, int timeOutSec=0)=0
virtual bool | UnLockInner (bool NoErrors=false)=0
virtual bool | IsLocked ()=0
| checks if the system is currently locked More...

## Protected Attributes
std::unique_ptr< pkgIndexFile > | StatusFile

## Additional Inherited Members
Static Public Member Functions inherited from pkgSystem
static pkgSystem * | GetSystem (const char *Label)
Public Attributes inherited from pkgSystem
const char *const | Label
pkgVersioningSystem *const | VS
Static Public Attributes inherited from pkgSystem
static pkgSystem ** | GlobalList = SysList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## ◆ ArchitecturesSupported()

std::vector< std::string > ArchitecturesSupported | ( |  | ) | const
| inlineoverridevirtual

architectures supported by this system

A MultiArch capable system might be configured to use this capability.

Returns
  a list of all architectures (native + foreign) configured for on this system (aka: which can be installed without force)

Implements pkgSystem.

## ◆ ArchiveSupported()

bool ArchiveSupported | ( | const char * | Type | ) |
| virtual

Implements pkgSystem.

## ◆ CreatePM()

pkgPackageManager * CreatePM | ( | pkgDepCache * | Cache | ) | const
| virtual

Implements pkgSystem.

## ◆ FindIndex()

bool FindIndex | ( | pkgCache::PkgFileIterator | File,
|  | pkgIndexFile *& | Found
| ) |  | const
| virtual

Implements pkgSystem.

## ◆ Initialize()

bool Initialize | ( | Configuration & | Cnf | ) |
| virtual

Reimplemented from pkgSystem.

## ◆ IsLocked()

bool IsLocked | ( |  | ) |
| inlineoverridevirtual

checks if the system is currently locked

Implements pkgSystem.

## ◆ Lock()

bool Lock | ( | OpProgress *const | Progress | ) |
| virtual

Implements pkgSystem.

## ◆ LockInner()

bool LockInner | ( | OpProgress * const | ,
|  | int |
| ) |  |
| inlineoverridevirtual

Implements pkgSystem.

## ◆ MultiArchSupported()

bool MultiArchSupported | ( |  | ) | const
| inlineoverridevirtual

Todo:
  these methods should be virtual

does this system has support for MultiArch?

Systems supporting only single arch (not systems which are single arch) are considered legacy systems and support for it will likely degrade over time.

The default implementation returns always true.

Returns
  true if the system supports MultiArch, false if not.

Implements pkgSystem.

## ◆ Score()

signed Score | ( | Configuration const & | Cnf | ) |
| virtual

Reimplemented from pkgSystem.

## ◆ UnLock()

bool UnLock | ( | bool | NoErrors = `false` | ) |
| virtual

Implements pkgSystem.

## ◆ UnLockInner()

bool UnLockInner | ( | bool |  | ) |
| inlineoverridevirtual

Implements pkgSystem.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edspsystem.h
- apt-pkg/edsp/edspsystem.cc